Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesystest.net/api/v1.4/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"76a4f535-efd5-4335-887b-806e8d9b5b3d","courseQuestionId":"842390c3-8841-46f8-81d5-f28817e0bddd","userId":"5b48e117-1a35-4685-b797-fe0378bb57da","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"45eedaff-6663-47e9-9cae-f1fa9aeed760","courseQuestionId":"b8b6595b-673a-4172-9447-57478ded6ea6","userId":"418239ac-993e-447c-9a10-9ee56e32b942","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string